# gimp-xsanecli

GIMP 3.0 plug-in for scanning via XSane

Uses XSane via CLI rather than requiring XSane to be compiled with GIMP support (which is currently unavailable for GIMP 3.0)

## Usage

gimp-xsanecli has only been tested on Linux. It requires [xsane](http://www.xsane.org/) to be installed, and the *xsane* command to be available on PATH.

Install *xsanecli.py* to *$HOME/.config/GIMP/3.0/plug-ins/xsanecli/xsanecli.py* and ensure that *xsanecli.py* is executable.

Click *File* → *Create* → *XSane via CLI…*.

By default, XSane's device chooser dialog is displayed. To hard-code a specific device, set *DEVICE_NAME* in *xsanecli.py* (e.g. `DEVICE_NAME = 'escl:http://10.0.0.1:80'`).

## Licence

Copyright © 2024–2026  Lee Yingtong Li (RunasSudo) and CONTRIBUTORS

Licensed under the GNU General Public License version 3 or later.
